Subject: Re: copyrights

From: Albrecht Kadlec <[email-masked]>
Date: 14 Dec 1998 21:29:16 +0100

/users/domivogt <[email-masked]> writes:

> Hi Steve,
> 
> > Much as I like, admire, and release all my sources under GPL, I wonder if
> > it is fair to take old code and "re-license" it?  By all means, we should
> > ask people to GPL their code, but what about the ones we cannot contact? 
> > 
> > Is there a problem with the copyright of fvwm as it exists now?
> 
> Distributors like debian keep asking us about this. The copyright
> situation is quite unclear in the code. There are lots of different
> styles of copyrights. Most of them allow anyone to do anything they
> like with the code as long as the copyright is not touched. I.e.
> anyon can take fvwm and sell it as a proprietary product and enhance
> it without giving anything back to the communnity. This is probably
> no more fair than re-licensing existing code. I think most of the
> copyrights aloow us to put it under GPL, but that is one of the
> reasons I contacted the FSF for. Personally I *do* mind if someone
> puts my code in a proprietary product. I do not want to be paid for
> my work, but I do not want anyone to make money with it without
> contributing to the community.

I, too don't like the idea of anyone making money with free donations.
be it via patents or licences or any other way.
There are FSF experts dealing with all those legal loopholes.

can we exclude Microsoft Corp. and its employees from the right to do
_anything_ with fvwm2 ? :-)

(long term FvwmAuto, FvwmAudio & FvwmEvent maintainer and lib contributor)
-- 
Albrecht Kadlec
Vienna University of Technology / Department of Automation
----------------------------------------------------------
The wonderful thing about standards is that there are so many of them to 
choose from.                            -- Grace Murray Hopper
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].